
{% extends 'base/base.html' %}

{% block page_content %}
 <!-- Dropdown Card Example -->
 <div class="card shadow mb-4">
    <!-- Card Header - Dropdown -->
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-primary"></h6>
    </div>
    <!-- Card Body -->
    <div class="card-body">
       
        <!-- listado con datatables -->   
        {% if not obj %}
            <div class="alert alert-info">No Hay Empleados</div>           
        {% else %}

        <table class="table table-bordered table-striped">
            <thead class="table-info" style="font-size: small;">
                <th>ID</th>
                <th>NOMBRE</th>
                <th>AP PATERNO</th>
                <th>AP MATERNO</th>                
                <th>TIPO</th>
                <!-- <th>ESTATUS</th> -->
                <th>DEPARTAMENTO</th>
                <th>PUESTO</th>
            </thead>

            <tbody style="font-size: small;">
                {% for item in obj %}
                    <tr>
                        <td>{{ item.id }}</td>
                        <td>{{ item.nombre }}</td>
                        <td>{{ item.ap_paterno }}</td>
                        <td>{{ item.ap_materno }}</td>
                        <td>{{ item.tipo_de_empleado }}</td>
                        <!-- <td>{{ item.status }}</td> -->
                        <td>{{ item.departamento }}</td>
                        <td style="text-decoration: line-through;" class="text-info">{{ item.puesto }}</td>
                    </tr>
                {% endfor %}
            </tbody>     
        </table>

        {% endif %}
         
        <div>
            <a href="{{ request.META.HTTP_REFERER }}" class="btn btn-secondary btn-icon-split">
                <span class="icon text-white-50">
                    <i class="fas fa-arrow-left"></i>
                </span>
                <span class="text">Regresar</span>
            </a>
        </div>
    </div>
</div>    

{% endblock page_content %}

{% block js_page %}
    <script>
        // llamamos al plugin datatable de jQuery
        $(document).ready( function () {
            $('.table').DataTable({
                "language": {
                    "processing": "Procesando...",
                    "lengthMenu": "Mostrar _MENU_ registros",
                    "zeroRecords": "No se encontraron resultados",
                    "emptyTable": "Ningún dato disponible en esta tabla",
                    "infoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
                    "infoFiltered": "(filtrado de un total de _MAX_ registros)",
                    "search": "Buscar:",
                    "infoThousands": ",",
                    "loadingRecords": "Cargando...",
                    "paginate": {
                        "first": "Primero",
                        "last": "Último",
                        "next": "Siguiente",
                        "previous": "Anterior"
                    },
                    "aria": {
                        "sortAscending": ": Activar para ordenar la columna de manera ascendente",
                        "sortDescending": ": Activar para ordenar la columna de manera descendente"
                    }
                }
            });
        });
         
    </script>
{% endblock js_page %}





